<< gph_plq | gph | gph_scalar >>

CCA (Computational Convex Analysis) >> gph > gph_prox

# gph_prox

Graph-matrix calculus (GPH), Proximal mapping

### Calling Sequence

    gphprox = gph_prox(gph, lambda)

### Parameters

gph

  matrix. A function in GPH matrix form.

lambda

  constant. A positive smoothing parameter.

gphprox

  matrix. The proximal mapping of the function gph, as a GPH matrix.

### Description

Computes the proximal mapping of a given GPH function. The proximal mapping is the set of minimizers of the Moreau envelope,

### Examples

    gph = [-1  , 0, 1, 2; ..
            0  , 1, 3, 3; ..
           -0.5, 0, 2, 3];
    lambda = 2;
    gphprox = gph_prox(gph, lambda),
    scf(); gph_plot(gph, gphprox);

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< gph_plq | gph | gph_scalar >>